IOCTL-XFS-FSCOUNTS(2)

NAME
ioctl_xfs_fscounts - query XFS summary counter information

SYNOPSIS
#include <xfs/xfs_fs.h>

int ioctl(int fd, XFS_IOC_FSCOUNTS, struct xfs_fsop_counts *arg);

DESCRIPTION
Query the raw filesystem summary counters. Unlike statvfs(3), the values returned here are the raw values, which do not reflect any alterations or limits set by project quotas. The counter information is conveyed in a structure of the following form:

struct xfs_fsop_counts {
	__u64   freedata;
	__u64   freertx;
	__u64   freeino;
	__u64   allocino;
};

The fields of this structure are as follows:

freedata is the number of free filesystem blocks on the data device.

freertx is the number of free extents on the realtime device.

freeino is the number of inode records that are not in use within the space that has been allocated for them.

allocino is the number of inode records for which space has been allocated.

RETURN VALUE
On error, -1 is returned, and errno is set to indicate the error.

ERRORS
Error codes can be one of, but are not limited to, the following:

EFSBADCRC
    Metadata checksum validation failed while performing the query.

EFSCORRUPTED
    Metadata corruption was encountered while performing the query.

EINVAL
    The specified allocation group number is not valid for this filesystem.

EIO An I/O error was encountered while performing the query.

CONFORMING TO
This API is specific to XFS filesystem on the Linux kernel.

SEE ALSO
ioctl(2)